
function AddClass(){
	var thissort='目标分类名称|当前分类名称'; 
	var sort=prompt('请输入目标分类名称和当前分类名称，中间用“|”隔开：',thissort);
	if(sort!=null&&sort!=''){document.myform.RetuneClass.options[document.myform.RetuneClass.length]=new Option(sort,sort);}
}
function ModifyClass(){
	if(document.myform.RetuneClass.length==0) return false;
	var thissort=document.myform.RetuneClass.value; 
	if (thissort=='') {alert('请先选择一个分类，再点修改按钮！');return false;}
	var sort=prompt('请输入目标分类名称和当前分类名称，中间用“|”隔开：',thissort);
	if(sort!=thissort&&sort!=null&&sort!=''){document.myform.RetuneClass.options[document.myform.RetuneClass.selectedIndex]=new Option(sort,sort);}
}
function DelClass(){
	if(document.myform.RetuneClass.length==0) return false;
	var thissort=document.myform.RetuneClass.value; 
	if (thissort=='') {alert('请先选择一个分类，再点删除按钮！');return false;}
	document.myform.RetuneClass.options[document.myform.RetuneClass.selectedIndex]=null;
}

function AddReplace(){
	var strthis='替换前的字符串|替换后的字符串'; 
	var str=prompt('请输入替换前的字符串和替换后的字符串，中间用“|”隔开：',strthis);
	if(str!=null&&str!=''){document.myform.strReplace.options[document.myform.strReplace.length]=new Option(str,str);}
}
function ModifyReplace(){
	if(document.myform.strReplace.length==0) return false;
	var strthis=document.myform.strReplace.value; 
	if (strthis=='') {alert('请先选择一个字符串，再点修改按钮！');return false;}
	var str=prompt('请输入替换前的字符串和替换后的字符串，中间用“|”隔开：',strthis);
	if(str!=strthis&&str!=null&&str!=''){document.myform.strReplace.options[document.myform.strReplace.selectedIndex]=new Option(str,str);}
}
function DelReplace(){
	if(document.myform.strReplace.length==0) return false;
	var strthis=document.myform.strReplace.value; 
	if (strthis=='') {alert('请先选择一个字符串，再点删除按钮！');return false;}
	document.myform.strReplace.options[document.myform.strReplace.selectedIndex]=null;
}

function CheckForm(){
	if (document.myform.ItemName.value==''){
		alert('项目名称不能为空！');
		return false;
	}
	if (document.myform.SiteUrl.value==''){
		alert('请输入目标站点URL！');
		return false;
	}
	if (document.myform.ClassID.value=='0'){
		alert('该分类是外部连接，不能添加内容！');
		return false;
	}
	if (document.myform.action.value=='step2'){
		for(var i=0;i<document.myform.RetuneClass.length;i++){
			if (document.myform.ClassList.value=='') document.myform.ClassList.value=document.myform.RetuneClass.options[i].value;
			else document.myform.ClassList.value+='$$$'+document.myform.RetuneClass.options[i].value;
		}
		for(var n=0;n<document.myform.strReplace.length;n++){
			if (document.myform.ReplaceList.value=='') document.myform.ReplaceList.value=document.myform.strReplace.options[n].value;
			else document.myform.ReplaceList.value+='$$$'+document.myform.strReplace.options[n].value;
		}
	}
}
function ShowListPage(page,Pcount,TopicNum,maxperpage,strLink,ListName){
	var alertcolor = '#FF0000';
	maxperpage=Math.floor(maxperpage);
	TopicNum=Math.floor(TopicNum);
	page=Math.floor(page);
	var n,p;
	if ((page-1)%10==0) {
		p=(page-1) /10
	}else{
		p=(((page-1)-(page-1)%10)/10)
	}
	if(TopicNum%maxperpage==0) {
		n=TopicNum/maxperpage;
	}else{
		n=(TopicNum-TopicNum%maxperpage)/maxperpage+1;
	}
	document.write ('<table border="0" cellpadding="0" cellspacing="1">');
	document.write ('<form method=post action="?pcount='+Pcount+strLink+'">');
	document.write ('<tr align="center" class=tr1>');
	document.write ('<td title="'+ListName+'">共有<font color=#ff0000>'+TopicNum+'</font>个'+ListName+'&nbsp;</td>');
	document.write ('<td title="页次">&nbsp;&nbsp;页次：<font color=#ff0000>'+page+'</font>/<font color=#ff0000>'+maxperpage+'</font>&nbsp;</td>');
	if (page==1){
		document.write ('<td>&nbsp;分页：<font face=webdings>9</font>&nbsp;</td>');
	}else{
		document.write ('<td>&nbsp;<a href="?page=1'+strLink+'" title="首页"><font face=webdings>9</font></a>&nbsp;</td>');
	}
	if (p*10 > 0){
		document.write ('<td>&nbsp;<a href="?page='+p*10+strLink+'" title="上十页">7</a>&nbsp;</td>');
	}
	for (var i=p*10+1;i<p*10+11;i++){
		if (i==page){
			document.write ('<td>&nbsp;<font color=#ff0000><b>'+i+'</b></font>&nbsp;</td>');
		}else{
			document.write ('<td>&nbsp;<a href="?page='+i+strLink+'">'+i+'</a>&nbsp;</td>');
		}
		if (i==n) break;
	}
	if (i<n){
		document.write ('<td>&nbsp;<a href="?page='+i+strLink+'" title="下十页">8</a>&nbsp;<td>');
	}
	if (page==n){
		document.write ('<td>&nbsp;<Font face=webdings>:</font>&nbsp;</td>');
	}else{
		document.write ('<td>&nbsp;<a href="?page='+n+strLink+'" title="尾页"><font face=webdings>:</font></a>&nbsp;</td>');
	}
		
	document.write ('<td>&nbsp;&nbsp;<input class="PageInput" type=text name="page" size=1 maxlength=10  value="'+page+'"></td>');
	document.write ('<td><input type=submit value=Go name=submit class="PageInput"></td>');
	document.write ('</tr>');
	document.write ('</form></table>');
}